Skip to main content
`Ctrl`+`K`

# KSPChebyshevKind

Which kind of Chebyshev polynomial to use with `KSPCHEBYSHEV`

## Synopsis

    typedef enum {
      KSP_CHEBYSHEV_FIRST,
      KSP_CHEBYSHEV_FOURTH,
      KSP_CHEBYSHEV_OPT_FOURTH
    } KSPChebyshevKind;

## Values

- `KSP_CHEBYSHEV_FIRST` - “classic” first-kind Chebyshev polynomial

- `KSP_CHEBYSHEV_FOURTH` - fourth-kind Chebyshev polynomial

- `KSP_CHEBYSHEV_OPT_FOURTH` - optimized fourth-kind Chebyshev polynomial

## See Also

KSP: Linear System Solvers, `KSPCHEBYSHEV`, `KSPChebyshevSetKind()`, `KSPChebyshevGetKind()`

## Level

intermediate

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages